org.eclipse.jetty.annotations

## Class AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

- All Implemented Interfaces:
    AnnotationIntrospector.IntrospectableAnnotationHandler
  Direct Known Subclasses:
    DeclareRolesAnnotationHandler, MultiPartConfigAnnotationHandler, PostConstructAnnotationHandler, PreDestroyAnnotationHandler, ResourceAnnotationHandler, ResourcesAnnotationHandler, RunAsAnnotationHandler, ServletSecurityAnnotationHandler
  Enclosing class:
    AnnotationIntrospector

      public abstract static class AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
      extends Object
      implements AnnotationIntrospector.IntrospectableAnnotationHandler

  AbstractIntrospectableAnnotationHandler Base class for handlers that introspect a class to find a particular annotation. A handler can optionally introspect the parent hierarchy of a class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler(boolean introspectAncestors)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `doHandle(Class<?> clazz)`
    `void` | `handle(Class<?> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

          public AnnotationIntrospector.AbstractIntrospectableAnnotationHandler(boolean introspectAncestors)

  - ### Method Detail

    - #### doHandle

          public abstract void doHandle(Class<?> clazz)

    - #### handle

          public void handle(Class<?> clazz)

      Specified by:
        `handle` in interface `AnnotationIntrospector.IntrospectableAnnotationHandler`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.